Bug 431996 - anaconda downloads the wrong kickstart file
anaconda downloads the wrong kickstart file
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 05:23 EST by Leopold Aichinger
Modified: 2008-08-06 17:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 17:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leopold Aichinger 2008-02-08 05:23:27 EST
Description of problem:
For automatic installation you can use a kickstart-installation, which gets the
kickstart-file from a nfs-server.
The server and the directory where the kickstartfile lives is specified in the
dhcpd.conf of the dhcpd-server, which will support the kickstartinstallations
with an ip-address.
the directive "next-server 192.168.160.1" defines the nfs-server where do get
the kickstartfile and the directive "filename /opt/data/install/kickstart/"
defines the directory on the dhcp-server, where do pick up the kickstart-file.
Up do Fedora Core 5 if the machine, on which the kickstart installation is
started, got e.g. the ip-address 192.168.160.50 from the dhcpd-server, anaconda
downloaded the kickstartfile "192.168.160.50-kickstart" from the directory
specified in the dhcpd.conf with the directive filename.
But with Fedora 8 anaconda will download the FIRST kickstartfile in that
directory, e.g. the file "192.168.160.1-kickstart", but not the file
"192.168.160.50-kickstart" as it should, because the machine is fixed to the
ip-address 192.168.160.50.
When I deleted the file 192.168.160.1-kickstart from the directory
/opt/data/install/kickstart/, anaconda downloaded the existing file
192.168.160.2-kickstart, even the machine got the ip 192.168.160.50 from the
dhcpd-server.

Version-Release number of selected component (if applicable):
11.3.0.50

How reproducible:
In the dhcpd.conf:
The directive "filename" ist followed only by an directory name, no filename is
specified.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
anaconda will download the first kickstartfile from the specified directory, not
the kickstartfile adequate to the ip-address of the installed machine.
so if the first kickstart-file has the name 

Expected results:
Up to Fedora Core 5 (I never tried it with Fedora 6/7) if the installed machine
got the ip-address 192.168.160.50 from the dhcpd-server, anaconda downloaded the
kickstartfile "192.168.160.50-kickstart" from the nfs-server.

Additional info:
Comment 1 Andy Lindeberg 2008-06-04 09:58:51 EDT
Does this problem persist in Fedora 9?

Note You need to log in before you can comment on or make changes to this bug.